function [Model] = XRFProcModelJune2021Produce()
% May 27 model
ProcessingModel = [];
 
% Data processing model for Mg
ProcessingModel.speciesName = 'Mg';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 2;
ProcessingModel.bandNames = {'Mg-K'};
ProcessingModel.bandIndices = 9;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [158.464671312;-556.499276964];
ProcessingModel.known = [298;4000;5979;5800;5000;600;1593;1547;7864;300;7639;300;5000;3700;2027;6510;6562;8600];
ProcessingModel.meas = [15.5248804297 1;25.6631045482 1;38.2219350874 1;41.0747796446 1;36.043922549 1;11.9792512692 1;14.0552028824 1;14.1638627287 1;59.9733997227 1;4.3833006527 1;49.1145187309 1;5.62573309806 1;32.640382736 1;16.2448552606 1;22.440040373 1;38.5400724585 1;39.7735712085 1;60.4335034169 1];
ProcessingModel.pred = [1903.64579748;3510.19615011;5500.32710356;5952.40217862;5155.18906255;1341.78883797;1670.75382802;1687.97257484;8947.16579755;138.099020228;7226.41679036;334.980669308;4615.84824478;2017.73637242;2999.45434497;5550.74063751;5746.20661149;9020.07597821];
ProcessingModel.pcc = 0.96084;
ProcessingModel.rmse = 771.972;
ProcessingModel.sem = 0.29392;
 
Model(1) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Al
ProcessingModel.speciesName = 'Al';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 3;
ProcessingModel.bandNames = {'Al-K'};
ProcessingModel.bandIndices = 11;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.852660024688;
ProcessingModel.known = [40;57;80;33.25;49;42;26;26;106;1;34;1;33;40;36;13;13;125];
ProcessingModel.meas = [55.8528665168;61.774700055;67.5617827688;22.0075822843;45.0535041687;55.9598304496;30.1939291983;27.5167287374;122.269221688;6.03437109858;20.2985192813;5.72880183529;46.9484775152;55.6354138377;56.7774222517;18.4536855532;15.9488435458;153.507949404];
ProcessingModel.pred = [47.6235065431;52.672817274;57.6072313635;18.7649856538;38.4153219768;47.7147104126;25.7451564157;23.4624146046;104.254077583;5.14526700989;17.3077359515;4.88472031431;40.0310899971;47.4380933364;48.4118382589;15.7347199793;13.5989413315;130.890091928];
ProcessingModel.pcc = 0.95813;
ProcessingModel.rmse = 9.2933;
ProcessingModel.sem = 0.29809;
 
Model(2) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Si
ProcessingModel.speciesName = 'Si';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 4;
ProcessingModel.bandNames = {'Si-K'};
ProcessingModel.bandIndices = 13;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 2;
ProcessingModel.coefs = [27.6691113121;0.000980655413747;-879.78814109];
ProcessingModel.known = [5000;8071.2068;37015.7008;0;3300;6605.6628;0;1933.8066;41900;264;23207.3458;4500;3843.6156;11919.1412;21376.8622;214.6452;1893.8106;63414];
ProcessingModel.meas = [231.502376441 53593.350298 1;327.543456309 107284.715771 1;1302.36382393 1696151.52988 1;0 0 1;157.118804518 24686.3187333 1;276.872703313 76658.49384 1;0 0 1;91.6052209098 8391.51649794 1;1472.36558217 2167860.40756 1;92.7401986566 8600.74444687 1;830.3260136 689441.288861 1;165.079643118 27251.2885719 1;175.009398381 30628.2895217 1;412.408957112 170081.147906 1;804.984752791 648000.452226 1;85.5064097284 7311.34610465 1;92.8458164353 8620.34562954 1;2159.58346155 4663800.72739 1];
ProcessingModel.pred = [5578.23349079;8288.2575484;36818.8016524;-879.78814109;3491.75832246;6856.20907316;-879.78814109;1663.07609912;41985.183089;1694.68510525;22770.6990869;3714.54300337;3992.60218131;10697.9921978;22028.88974;1493.26813872;1697.62667733;63447.5484762];
ProcessingModel.pcc = 0.9992;
ProcessingModel.rmse = 691.8526;
ProcessingModel.sem = 0.043684;
 
Model(3) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for P
ProcessingModel.speciesName = 'P';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 5;
ProcessingModel.bandNames = {'P-K'};
ProcessingModel.bandIndices = 15;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 3.70321753346;
ProcessingModel.known = [2360;4500;5723;10879;9000;2060;6749;7970;5100;400;18400;14600;4200;4923;4592;9244;10234;6100];
ProcessingModel.meas = [592.259779257;1318.15215319;1699.25615696;2790.87011603;2403.46559598;712.246503857;1879.57280919;1994.53680837;1532.34293196;85.4591780156;4945.20708295;4098.02374124;1038.8597489;979.159726713;1493.01936336;2272.31948086;2826.8459449;1541.235101];
ProcessingModel.pred = [2193.26679891;4881.40416545;6292.71519428;10335.1991473;8900.55593612;2637.60374123;6960.4669824;7386.20367989;5674.59921292;316.473926422;18313.1775762;15175.8733711;3847.12363693;3626.04146802;5528.97548419;8414.89334316;10468.4254676;5707.52884919];
ProcessingModel.pcc = 0.99158;
ProcessingModel.rmse = 566.6607;
ProcessingModel.sem = 0.13358;
 
Model(4) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for S
ProcessingModel.speciesName = 'S';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 6;
ProcessingModel.bandNames = {'S-K'};
ProcessingModel.bandIndices = 17;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 2;
ProcessingModel.coefs = [1.57502297964;5.29537365695e-05;-445.591211693];
ProcessingModel.known = [4160;2800;3610;21770;17100;3400;2800;3400;5500;500;5500;6300;11700;2350;3100;12490;23730;5500];
ProcessingModel.meas = [2214.27513742 4903014.3842 1;2142.56424452 4590581.54191 1;2562.43470741 6566071.62972 1;10413.0579289 108431775.431 1;8987.88995952 80782165.9244 1;2433.13126783 5920127.76651 1;1705.80767373 2909779.81976 1;2489.70537866 6198632.87252 1;3310.25856087 10957811.7398 1;528.32192117 279124.052389 1;3599.22107708 12954392.3617 1;3711.18162513 13772869.0547 1;6620.5227533 43831321.527 1;1950.93339327 3806141.10498 1;2001.51565298 4006064.90912 1;5987.16358801 35846127.8296 1;11045.8454663 122010702.064 1;3430.07338811 11765403.4478 1];
ProcessingModel.pred = [3301.57594508;3172.08515445;3938.00036367;21697.0819865;17988.2595469;3700.13933382;2395.17878732;3803.99274444;5348.39916646;401.308616335;5909.24817404;6128.93000921;12302.9165156;2828.72310787;2918.97804173;10882.5154324;23412.791803;5579.87527123];
ProcessingModel.pcc = 0.99647;
ProcessingModel.rmse = 564.7198;
ProcessingModel.sem = 0.091984;
 
Model(5) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Cl
ProcessingModel.speciesName = 'Cl';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 7;
ProcessingModel.bandNames = {'Cl-K'};
ProcessingModel.bandIndices = 18;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [1.56533925443;-507.217448266];
ProcessingModel.known = [9000;11872;10000;310;5600;11000;1529;2261;14000;3070;0;670;2780;185;4556;1792;340;14130];
ProcessingModel.meas = [6221.91733826 1;8088.23837087 1;6619.4139013 1;565.479389034 1;3288.40212559 1;7301.34586793 1;1477.4274821 1;1426.78420208 1;9395.15765547 1;2704.32012224 1;332.107543102 1;823.068107738 1;1805.85604088 1;517.979173196 1;3739.15922595 1;1248.51319072 1;710.186374115 1;9039.92118261 1];
ProcessingModel.pred = [9232.19399916;12153.6195729;9854.41097279;377.949636963;4640.24748329;10921.865849;1805.45778504;1726.18387086;14199.3916315;3725.96099564;12.6435256448;781.163369849;2319.55990039;303.595684517;5345.83526669;1447.12925884;604.465161101;13643.3260359];
ProcessingModel.pcc = 0.99633;
ProcessingModel.rmse = 422.0928;
ProcessingModel.sem = 0.090784;
 
Model(6) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for K
ProcessingModel.speciesName = 'K';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 8;
ProcessingModel.bandNames = {'K-K'};
ProcessingModel.bandIndices = 21;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 1.1819903145;
ProcessingModel.known = [29323;29000;19611;8857;19800;30742;13034;15999;16850;3100;13600;500;23400;28999;28057;6920;6721;17500];
ProcessingModel.meas = [24731.9122731;23842.9046287;15451.1326695;7707.58029932;17488.4598924;26921.0002843;11885.0033675;11874.874362;14604.3645371;3226.98573112;11625.9458895;533.027294695;18510.6486152;24807.3210916;25152.2024731;5399.84070535;4707.90598259;13824.1771803];
ProcessingModel.pred = [29232.880766;28182.0823407;18263.0891634;9110.28526205;20671.1902084;31820.3615928;14047.9588682;14035.9864818;17262.2174323;3814.26587923;13741.7554384;630.033099696;21879.4073783;29322.013259;29729.6597116;6382.55941359;5564.69927302;16340.0435331];
ProcessingModel.pcc = 0.99447;
ProcessingModel.rmse = 1007.315;
ProcessingModel.sem = 0.11091;
 
Model(7) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Ca
ProcessingModel.speciesName = 'Ca';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 9;
ProcessingModel.bandNames = {'Ca-K'};
ProcessingModel.bandIndices = 22;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [1.28034019224;-550.394358349];
ProcessingModel.known = [7800;20198;29875;7903;14310;6300;1572;1274;24910;700;1900;1000;14500;14520;6609;10233;7251;27700];
ProcessingModel.meas = [6020.92654446 1;14770.5952687 1;22802.964656 1;6961.76029244 1;11970.551981 1;5887.72495266 1;1410.91918106 1;1235.89898992 1;20532.3739099 1;848.592241733 1;1985.01947157 1;1414.10366012 1;13575.6296022 1;10726.1607423 1;5043.84498285 1;9708.47117805 1;5783.94339546 1;22138.2604475 1];
ProcessingModel.pred = [7158.43989107;18360.9924276;28645.1577931;8363.02715283;14775.9844662;6987.89653943;1256.06217717;1031.97679199;25738.0292006;536.092395569;1991.10585349;1260.1393937;16831.0298564;13182.7403485;5907.44309665;11879.7514962;6855.02084053;27794.1102789];
ProcessingModel.pcc = 0.99406;
ProcessingModel.rmse = 992.7272;
ProcessingModel.sem = 0.11546;
 
Model(8) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Mn
ProcessingModel.speciesName = 'Mn';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 10;
ProcessingModel.bandNames = {'Mn-K'};
ProcessingModel.bandIndices = 24;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.454405302673;
ProcessingModel.known = [214.7897;36;1722;108;2596.7906;82;24.3;228.2881;3607.5564;9;410;26;130.3529;121.0189;93.9144;86.878;118.829;3379];
ProcessingModel.meas = [296.00932565;139.990192258;3841.79056105;348.334831688;5655.57487232;258.610525847;96.5814246564;130.364437166;7970.84226421;74.8370925312;883.568050682;146.772326065;199.685249623;176.842407182;148.155853219;79.2758100307;98.2956612346;7432.86195438];
ProcessingModel.pred = [134.508207216;63.6122856841;1745.7300027;158.285194624;2569.92321165;117.513994272;43.8871115036;59.2382915281;3621.99299162;34.0063716828;401.498007502;66.6941232494;90.7380362942;80.3581275609;67.3228053248;36.0233484516;44.6660696947;3377.5318861];
ProcessingModel.pcc = 0.99901;
ProcessingModel.rmse = 55.6897;
ProcessingModel.sem = 0.048519;
 
Model(9) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Fe
ProcessingModel.speciesName = 'Fe';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 11;
ProcessingModel.bandNames = {'Fe-K'};
ProcessingModel.bandIndices = 25;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 2;
ProcessingModel.coefs = [0.176941945195;1.76700441467e-05];
ProcessingModel.known = [123.9898;244;831;166;189.4127;180;100;159.1324;2090;167;322.7133;462;91.3891;148.1989;198.1711;78.5908;89.9794;2649];
ProcessingModel.meas = [708.088891551 501389.878338;1073.97085974 1153413.40756;3433.85840164 11791383.5225;844.067066107 712449.212087;904.267028212 817698.858311;834.558599308 696488.055679;531.87187897 282887.695639;735.613042679 541126.54856;7057.49219896 49808196.1384;749.284962895 561427.95562;1604.52318841 2574494.66215;2121.6892349 4501565.20947;708.88741088 502521.361304;858.262323443 736614.215843;1148.70270159 1319517.89664;537.333746776 288727.555424;492.414657264 242472.194689;8165.49681099 66675338.1704];
ProcessingModel.pred = [134.150207127;210.411358836;815.947852504;161.939877582;174.451541873;159.975396632;99.10908293;139.722532685;2128.87942252;142.500395601;329.398888403;454.958676302;134.311492044;164.878610711;226.569629956;100.178707024;91.4133016834;2622.97505819];
ProcessingModel.pcc = 0.99951;
ProcessingModel.rmse = 22.0547;
ProcessingModel.sem = 0.033281;
 
Model(10) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Ni
ProcessingModel.speciesName = 'Ni';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 12;
ProcessingModel.bandNames = {'Ni-K'};
ProcessingModel.bandIndices = 28;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [0.0313550258118;-9.04139944363];
ProcessingModel.known = [4;4;3;3;2;4;5;6;1;10;6.988;13;4.787;5.342;4.831;3;4;1];
ProcessingModel.meas = [428.559704215 1;423.31768318 1;423.486040882 1;374.697761251 1;411.29054028 1;411.616298434 1;393.886741456 1;432.045343412 1;333.603153296 1;554.368176573 1;568.539955237 1;658.506970341 1;471.246900109 1;482.986556407 1;475.188550153 1;328.363141002 1;388.486134062 1;339.443138144 1];
ProcessingModel.pred = [4.39610114393;4.23173743909;4.23701629917;2.70725853204;3.85462606302;3.86484021835;3.30892950167;4.50539345092;1.41873603888;8.34082904209;8.78518552789;11.6061036087;5.73455927302;6.10265649927;5.8581498119;1.25443531813;3.13959331743;1.60184891452];
ProcessingModel.pcc = 0.91212;
ProcessingModel.rmse = 1.1823;
ProcessingModel.sem = 0.43479;
 
Model(11) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Cu
ProcessingModel.speciesName = 'Cu';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 13;
ProcessingModel.bandNames = {'Cu-K'};
ProcessingModel.bandIndices = 29;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.0650293594012;
ProcessingModel.known = [9;7;2;5.5;11;6;9;9;2;10;21;16;5;8;10;6;5;3];
ProcessingModel.meas = [138.944360265;117.253466562;43.7461779999;82.1883313404;151.429049145;86.7305816655;109.763102381;129.008450451;23.4537871005;147.45206364;287.923049354;254.717436328;140.197368754;146.247974259;160.876840305;78.6651846583;105.411093609;33.000475121];
ProcessingModel.pred = [9.03546274044;7.62491781812;2.84478593158;5.34465453731;9.84733406064;5.6400341662;7.1378242337;8.38933689015;1.52518475067;9.58871324089;18.7234514563;16.5641117127;9.11694507977;9.51041207978;10.4617178675;5.1155465655;6.85481589115;2.14599975705];
ProcessingModel.pcc = 0.95121;
ProcessingModel.rmse = 1.4283;
ProcessingModel.sem = 0.31851;
 
Model(12) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Zn
ProcessingModel.speciesName = 'Zn';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 14;
ProcessingModel.bandNames = {'Zn-K'};
ProcessingModel.bandIndices = 30;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.298729887294;
ProcessingModel.known = [37.0768;25.2;24;223;271;30.5;58.7;76;29.1344;4;230;83;26.0784;37.0512;43.2288;37.152;51.1488;35];
ProcessingModel.meas = [122.741094759;97.8524452979;66.7958134917;734.322675434;887.566560504;124.191112293;210.792813619;265.928765815;82.9048840474;17.4974559518;776.991094049;310.187287611;116.008379183;116.628716056;181.074675505;125.698685999;149.870165718;75.9982965218];
ProcessingModel.pred = [36.6664334037;29.2314499553;19.9539058361;219.36413007;265.142658585;37.0995969781;62.9701134548;79.44087024;24.7661666676;5.22701304441;232.110461954;92.6622134681;34.6551700386;34.8404832027;54.0924174054;37.5499543016;44.7706977138;22.7029625545];
ProcessingModel.pcc = 0.99703;
ProcessingModel.rmse = 6.0593;
ProcessingModel.sem = 0.080227;
 
Model(13) = ProcessingModel;
 
end
